<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iPcMechanicsObject Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a987034c0080e19c27efcf2e79711a13f">AddForceDuration</a>(const csVector3 &amp;force, bool relative, const csVector3 &amp;position, float seconds)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a505a7b3411ce412437519a67f9aa9039">AddForceFrame</a>(const csVector3 &amp;force, bool relative, const csVector3 &amp;position)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a535a4d764194b9dd7ab1a6383330a009">AddForceOnce</a>(const csVector3 &amp;force, bool relative, const csVector3 &amp;position)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#aac6a269629cf3e9b2991bea5b2e44e7f">AddForceTagged</a>(const csVector3 &amp;force, bool relative, const csVector3 &amp;position)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a1e4283b747fd811958c798de389c6ab8">AddToGroup</a>(const char *group)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a553bc6a82160cf93b307fac76e006af6">AttachColliderBoundingBox</a>(const csVector3 &amp;sizeadjustment=csVector3(0))=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a2cf882df76f7709ff8003ccd74fd0c82">AttachColliderBoundingSphere</a>(float radiusadjustment=0.0f)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#aa5e229261a484fe9bec03bd79ccbb455">AttachColliderBox</a>(const csVector3 &amp;size, const csOrthoTransform &amp;trans)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a4ccfbaa43a35425865d23928e96bc603">AttachColliderConvexMesh</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#afe375adbbdfdf70b46af13fa3a12aef7">AttachColliderCylinder</a>(float length, float radius, const csOrthoTransform &amp;trans)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#ae3014506ffc9cb08e0e60a0e40dcf948">AttachColliderMesh</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a680eb66d8c3cc332f47441e9a6c9c4ca">AttachColliderPlane</a>(const csPlane3 &amp;plane)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a30faf24bb4efb8a4913e185d49aeb12a">AttachColliderSphere</a>(float radius, const csVector3 &amp;offset)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a99dc6a9c9d483f308a46bda3dd5b0dcd">ClearForces</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#ae295f74a80e9fc47f28ac51b73d170a9">CreateJoint</a>(iPcMechanicsObject *other)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a96e308b35499fc9478cf43e458a31928">GetAngularVelocity</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#ac2bc708f19c17fc57d96e438f5980290">GetBody</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a2ea10a56d7e022df496fb295f1a162b5">GetCamera</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a38c3f08611b56a0e61e267ac09eae682">GetDensity</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a450da3ae5eff1c5c2dea86a027b3b1e8">GetDrag</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a816452282253941f5082b18839135d67">GetElasticity</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a71e7bcacc7dc609b25add73f73867ff6">GetFriction</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a6af72c2d9714c20caf5282f1654ec7e3">GetLift</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a5be069a38ef822ff54544a84a8b10d89">GetLight</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#ac01c0658a79bc6b30bce62cd99c59be7">GetLinearVelocity</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a2a7ab9561c54c2a41dd21cd48767fe80">GetMass</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#ae90c3a046958a0d26055d5623f8ffd3f">GetMechanicsSystem</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#adde993e5fedda249abf97721d8ddd8db">GetMesh</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#ae039f85cb5be9ad570bb98863bda333e">GetSoftness</a>()=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a3e0c77692d149d76f801c72e3c77f55a">IsCollisionCallbackEnabled</a>() const =0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#aca764cfe8f9c31eb3fce75b177fbf10c">IsStatic</a>() const =0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a7378de779bcec920f07db72e1346d54d">LocalToWorld</a>(csVector3 local)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a3b3ef562b296bda150af14742088f1aa">MakeStatic</a>(bool stat)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a3664c1104a818b889eea2c343c868a8c">RemoveForceTagged</a>(uint32 forceid)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a731d9dd3a3e1c64104583444feed417e">RemoveFromGroup</a>(const char *group)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a28ae6960a8b0a19c7d1fcb950c978a96">SetAngularVelocity</a>(const csVector3 &amp;vel)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a2d5d93d7de2a4ef73ecd18fe8f1271c1">SetCamera</a>(iPcCamera *camera)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a874d14f8557251e60ec927cf52152ef8">SetCollisionCallbackEnabled</a>(bool en)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a0077a80739cddb50dece115547623cca">SetDensity</a>(float density)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a957c04a0e83abc26b84c7f6020dcfb1e">SetDrag</a>(float drag)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a626142213e77fcc7977e60d9480e2afa">SetElasticity</a>(float elasticity)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#ae7782d384f8b89ae0d0ae075f238acad">SetFriction</a>(float friction)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#ab19500987ffc1a881d420a4b1f4e1175">SetLift</a>(const csVector3 &amp;lift)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#af7d2cc8c870d3954441dcfb2794e724e">SetLight</a>(iPcLight *light)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#aefe25505307c1cf828b747da6a47caa1">SetLinearVelocity</a>(const csVector3 &amp;vel)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#aebf2279d75ed72fba423d549ac8ee6a6">SetMass</a>(float mass)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#ac0a7f531ba3779a2669aec8cdfd11de7">SetMechanicsSystem</a>(iPcMechanicsSystem *mechsys)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a56e0fdf02a77cc86946a3fa72fe01582">SetMesh</a>(iPcMesh *mesh)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a61d2c45b20737be6f5041d6f92bdd9de">SetSoftness</a>(float softness)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcMechanicsObject.html#a25d8e05d726463657108700d5ff72d45">WorldToLocal</a>(csVector3 world)=0</td><td><a class="el" href="structiPcMechanicsObject.html">iPcMechanicsObject</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
